# Class ResultColumn

java.lang.Object
com.databricks.jdbc.model.core.ResultColumn

public class ResultColumn extends Object

## Constructor Summary

Constructors
Constructor
Description
`ResultColumn(String columnName, String resultSetColumnName, Integer columnType)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getColumnName()`
`Integer`
`getColumnPrecision()`
`Integer`
`getColumnScale()`
`Integer`
`getColumnTypeInt()`
`String`
`getColumnTypeString()`
`String`
`getResultSetColumnName()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ResultColumn

public ResultColumn(String columnName, String resultSetColumnName, Integer columnType)

## Method Details

### getColumnName

public String getColumnName()

### getResultSetColumnName

public String getResultSetColumnName()

### getColumnTypeInt

public Integer getColumnTypeInt()

### getColumnTypeString

public String getColumnTypeString()

### getColumnPrecision

public Integer getColumnPrecision()

### getColumnScale

public Integer getColumnScale()